You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
Shpuld Shpludson f72d6ec83e Merge branch 'clipboardImage' into 'develop' 6 years ago
build Fix localforage warning. 7 years ago
config Use history routing. 7 years ago
src Merge branch 'clipboardImage' into 'develop' 6 years ago
static Make default path configurable. 6 years ago
test Add tests for follow notifications. 7 years ago
.babelrc Add lodash transformation to save a few kbs. 7 years ago
.editorconfig Basic skeleton 7 years ago
.eslintignore Basic skeleton 7 years ago
.eslintrc.js Basic skeleton 7 years ago
.gitignore issue #1 - better nsfw image loading 7 years ago
.gitlab-ci.yml Update .gitlab-ci.yml 6 years ago
.node-version Add .node-version 7 years ago
CHANGELOG Add changelog 7 years ago
COFE_OF_CONDUCT.md Update COFE_OF_CONDUCT.md 7 years ago
CONTRIBUTORS.md Update CONTRIBUTORS.md 7 years ago
LICENSE Add license 7 years ago
README.md Update README.md with a more modern picture. 6 years ago
index.html Add lang="en" to html to potentially fix font fall-back issues on some language/font setups. 7 years ago
package.json Prepare for i18n. 6 years ago
yarn.lock Prepare for i18n. 6 years ago

README.md

pleroma_fe

A single column frontend for both Pleroma and GS servers.

screenshot

For Translators

To translate Pleroma, add your language to i18n/messages.js. Pleroma will set your language by your browser locale, but you can temporarily force it in the code by changing the locale in main.js.

FOR ADMINS

You don't need to build Pleroma yourself. Check out https://git.pleroma.social/pleroma/pleroma-fe/wikis/dual-boot-with-qvitter to see how to run Pleroma and Qvitter at the same time.

Build Setup

# install dependencies
npm install -g yarn
yarn

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build

# run unit tests
npm run unit

For detailed explanation on how things work, checkout the guide and docs for vue-loader.